Jump to content

MediaWiki:Common.css: Difference between revisions

From The Austrian Economics Wiki, the global repository of classical-liberal thought
message box class identical to navbox for now...
styles for template:Quote
Line 111: Line 111:
/* Hide heading on main page */
/* Hide heading on main page */
body.page-Main_Page h1.firstHeading { display:none; }
body.page-Main_Page h1.firstHeading { display:none; }
/* Styling for Template:Quote */
blockquote.templatequote {
    margin-top: 0;
}
blockquote.templatequote div.templatequotecite {
    line-height: 1em;
    text-align: left;
    padding-left: 2em;
    margin-top: 0;
}
blockquote.templatequote div.templatequotecite cite {
    font-size: 85%;
}

Revision as of 17:40, 22 November 2010

/* CSS placed here will be applied to all skins */

/* make the list of references look smaller and highlight clicked reference in blue */
ol.references { font-size: 100%; }
.references-small { font-size: 90%;}

ol.references > li:target { background-color: #ddeeff; }
sup.reference:target { background-color: #ddeeff; }
 
/* Ensure refs in table headers and the like aren't bold or italic */
sup.reference {
    font-weight: normal;
    font-style: normal;
}
 
/* Styling for citations */
span.citation, cite {
    font-style: normal;
    word-wrap: break-word;
}
 
/* For linked citation numbers and document IDs, where
   the number need not be shown on a screen or a handheld,
   but should be included in the printed version
*/
@media screen, handheld {
    span.citation *.printonly {
        display: none;
    }
}

/* general look; align infobox to the right */
.infobox {
background-color:#F9F9F9;
border:1px solid #AAAAAA;
clear:right;
color:black;
float:right;
margin:0.5em 0 0.5em 1em;
padding:0.2em;
}

/* Side box formatting */
.sidebox {
clear: right;
padding: 4px;
border: 1px solid #a3b0bf; 
background: #f1f5fc;
margin: 0 0 1em 1em;
font-size: 0.9em; 
text-align: left; 
float: right;
}

/* Navbox and message box formatting */
.messagebox,
.navbox {
clear: both;
padding: 4px;
border: 1px solid #a3b0bf; 
background: #f1f5fc;
margin: 0 auto 1em auto;
font-size: 0.9em; 
text-align: center; 
}

/* For template documentation */
.template-documentation {
    clear: both;
    margin: 1em 0 0 0;
    border: 1px solid #aaa; 
    background-color: #ecfcf4; 
    padding: 1em;
}

/* Pretty table */
table.prettytable
{
 margin: 1em 1em 1em 0;
 background-color: #f9f9f9;
 border: 1px #aaa solid;
 border-collapse: collapse;
}
table.prettytable th,
table.prettytable td
{
 padding: 0.2em;
 border: 1px #aaa solid;
}
table.prettytable th
{
 background-color: #f2f2f2;
 text-align: center;
}

/* message box formatting */
.messagebox
{
 width: 80%;
 margin: 0 auto 1em;
 padding: 0.2em;
 border: 1px solid #aaa;
 background-color: #f9f9f9;
 text-align: justify;
}
.messagebox.standard-talk
{
 border: 1px solid #C0C090;
 background-color: #F8EABA;
}
/* Hide heading on main page */
body.page-Main_Page h1.firstHeading { display:none; }

/* Styling for Template:Quote */
blockquote.templatequote { 
     margin-top: 0; 
}
blockquote.templatequote div.templatequotecite { 
    line-height: 1em;
    text-align: left;
    padding-left: 2em;
    margin-top: 0;
}
blockquote.templatequote div.templatequotecite cite {
    font-size: 85%;
}